Fetch Transaction Details V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions/{transaction_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions/{transaction_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "8fe1ca7c-4e6e-44c6-8706-87ac74c22554",
"transaction_type": "ONRAMP",
"customer_id": "80fd79d6-ad3d-4797-ad61-fc2dd1b7639d",
"beneficiary_id": null,
"hash": "0x3eef859d9c1745ba24209331d67e04f26e38ce45e48c85ed50f5e66a42cd57e9",
"status": "COMPLETED",
"created_at": "2026-03-02T15:36:39.167822Z",
"updated_at": "2026-03-02T15:36:39.167822Z",
"batch_info": null,
"fiat_details": {
"source_amount": 17,
"source_currency": "USD",
"destination_amount": 17,
"destination_currency": "USDC",
"fx_rate": 0
},
"crypto_details": {
"source_amount": null,
"source_currency": null,
"source_rail": null,
"source_address": null,
"destination_amount": null,
"destination_currency": null,
"destination_rail": null,
"destination_address": null,
"tx_hash": null
},
"fees": {
"developer_fee": {
"fixed": 0,
"percentage": 0
},
"total_developer_fee": 0,
"network_fee": 0,
"conversion_fee": 0,
"total_fee": 0
}
}
}Transactions
Fetch Transaction Details V2
Returns full details for a transaction by ID, including status, amounts, fees, and settlement data. The populated fields vary based on the transaction type.
GET
/
v2
/
transactions
/
{transaction_id}
Fetch Transaction Details V2
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions/{transaction_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions/{transaction_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions/{transaction_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions/{transaction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions/{transaction_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "8fe1ca7c-4e6e-44c6-8706-87ac74c22554",
"transaction_type": "ONRAMP",
"customer_id": "80fd79d6-ad3d-4797-ad61-fc2dd1b7639d",
"beneficiary_id": null,
"hash": "0x3eef859d9c1745ba24209331d67e04f26e38ce45e48c85ed50f5e66a42cd57e9",
"status": "COMPLETED",
"created_at": "2026-03-02T15:36:39.167822Z",
"updated_at": "2026-03-02T15:36:39.167822Z",
"batch_info": null,
"fiat_details": {
"source_amount": 17,
"source_currency": "USD",
"destination_amount": 17,
"destination_currency": "USDC",
"fx_rate": 0
},
"crypto_details": {
"source_amount": null,
"source_currency": null,
"source_rail": null,
"source_address": null,
"destination_amount": null,
"destination_currency": null,
"destination_rail": null,
"destination_address": null,
"tx_hash": null
},
"fees": {
"developer_fee": {
"fixed": 0,
"percentage": 0
},
"total_developer_fee": 0,
"network_fee": 0,
"conversion_fee": 0,
"total_fee": 0
}
}
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Transaction details retrieved successfully
- Onramp
- Offramp
- Crypto deposit
- Crypto withdrawal
Show child attributes
Show child attributes
⌘I
